commit ea169d4d863a8273d4bd44b3dd472d6dfecdbd92
Author: Sebastian Huber <sebastian.huber@embedded-brains.de>
Date:   Fri Jul 22 14:09:20 2022 +0200

    RTEMS: Do not define _GNU_SOURCE by default
    
    gcc/ChangeLog:
    
            * config/rs6000/rtems.h (CPLUSPLUS_CPP_SPEC): Undef.
    
    (cherry picked from commit 556b816b820f6749910784cbaca8bb0bb822a970)

diff --git a/gcc/config/rs6000/rtems.h b/gcc/config/rs6000/rtems.h
index 40db6606f17..bd9057914c8 100644
--- a/gcc/config/rs6000/rtems.h
+++ b/gcc/config/rs6000/rtems.h
@@ -23,6 +23,9 @@
    see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see
    <http://www.gnu.org/licenses/>.  */
 
+/* Undef gnu-user.h macro we don't want.  */
+#undef CPLUSPLUS_CPP_SPEC
+
 /* Copy and paste from linux64.h and freebsd64.h */
 #ifdef IN_LIBGCC2
 #undef TARGET_64BIT

